RuntimeConstants (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.RuntimeConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime
Interface RuntimeConstants

All Known Implementing Classes:
  Runtime, RuntimeInstance, RuntimeSingleton, Velocity, VelocityEngine

public interface RuntimeConstants

This class defines the keys that are used in the velocity.properties file so that they can be referenced as a constant within Java code.

Version:
  $Id: RuntimeConstants.java 806601 2009-08-21 15:30:38Z nbubna $
Author:
  Jon S. Stevens, Geir Magnusson Jr., Jason van Zyl

Field Summary
`static String` | `COUNTER_INITIAL_VALUE` Initial counter value in #foreach directives.
`static String` | `COUNTER_NAME` Counter reference name in #foreach directives.
`static String` | `DEBUG_PREFIX` Deprecated. Use LogChute.DEBUG_PREFIX instead
`static String` | `DEFAULT_RUNTIME_DIRECTIVES` Default Runtime properties.
`static String` | `DEFAULT_RUNTIME_PROPERTIES` Default Runtime properties.
`static String` | `DEFINE_DIRECTIVE_MAXDEPTH` Maximum recursion depth allowed for the #define directive.
`static String` | `DIRECTIVE_IF_TOSTRING_NULLCHECK` Indicates if toString() should be called during #if condition evaluation just to ensure it does not return null.
`static String` | `ENCODING_DEFAULT` Default Encoding is ISO-8859-1.
`static String` | `ERROR_PREFIX` Deprecated. Use LogChute.ERROR_PREFIX instead
`static String` | `ERRORMSG_END` Ending tag for error messages triggered by passing a parameter not allowed in the #include directive.
`static String` | `ERRORMSG_START` Starting tag for error messages triggered by passing a parameter not allowed in the #include directive.
`static String` | `EVALUATE_CONTEXT_CLASS` class to use for local context with #evaluate()
`static String` | `EVENTHANDLER_INCLUDE` The `eventhandler.include.class` property specifies a list of the `IncludeEventHandler` implementations to use.
`static String` | `EVENTHANDLER_INVALIDREFERENCES` The `eventhandler.invalidreferences.class` property specifies a list of the `InvalidReferenceEventHandler` implementations to use.
`static String` | `EVENTHANDLER_METHODEXCEPTION` The `eventhandler.methodexception.class` property specifies a list of the `MethodExceptionEventHandler` implementations to use.
`static String` | `EVENTHANDLER_NULLSET` The `eventhandler.nullset.class` property specifies a list of the `NullSetEventHandler` implementations to use.
`static String` | `EVENTHANDLER_REFERENCEINSERTION` The `eventhandler.referenceinsertion.class` property specifies a list of the `ReferenceInsertionEventHandler` implementations to use.
`static String` | `FILE_RESOURCE_LOADER_CACHE` The public handle for turning the caching on in the FileResourceLoader.
`static String` | `FILE_RESOURCE_LOADER_PATH` The public handle for setting a path in the FileResourceLoader.
`static String` | `HAS_NEXT_NAME` Iterator.hasNext() reference name in #foreach directives.
`static String` | `INFO_PREFIX` Deprecated. Use LogChute.INFO_PREFIX instead
`static String` | `INPUT_ENCODING` The character encoding for the templates.
`static String` | `INTERPOLATE_STRINGLITERALS` Switch for the interpolation facility for string literals.
`static String` | `INTROSPECTOR_RESTRICT_CLASSES` A comma separated list of classes to restrict access to in the SecureIntrospector.
`static String` | `INTROSPECTOR_RESTRICT_PACKAGES` A comma separated list of packages to restrict access to in the SecureIntrospector.
`static String` | `MAX_NUMBER_LOOPS` Maximum allowed number of loops.
`static int` | `NUMBER_OF_PARSERS` The default number of parser instances to create.
`static String` | `OUTPUT_ENCODING` Encoding for the output stream.
`static String` | `PARSE_DIRECTIVE_MAXDEPTH` Maximum recursion depth allowed for the #parse directive.
`static String` | `PARSER_POOL_CLASS` The `parser.pool.class` property specifies the name of the `SimplePool` implementation to use.
`static String` | `PARSER_POOL_SIZE`
`static String` | `PROVIDE_SCOPE_CONTROL` Used to suppress various scope control objects.
`static String` | `RESOURCE_LOADER` Key used to retrieve the names of the resource loaders to be used.
`static String` | `RESOURCE_MANAGER_CACHE_CLASS` The `resource.manager.cache.class` property specifies the name of the `ResourceCache` implementation to use.
`static String` | `RESOURCE_MANAGER_CLASS`
`static String` | `RESOURCE_MANAGER_DEFAULTCACHE_SIZE` The `resource.manager.cache.size` property specifies the cache upper bound (if relevant).
`static String` | `RESOURCE_MANAGER_LOGWHENFOUND` controls if the finding of a resource is logged.
`static String` | `RUNTIME_LOG` Location of the velocity log file.
`static String` | `RUNTIME_LOG_ERROR_STACKTRACE` Deprecated. This appears to have always been meaningless.
`static String` | `RUNTIME_LOG_INFO_STACKTRACE` Deprecated. This appears to have always been meaningless.
`static String` | `RUNTIME_LOG_LOGSYSTEM` externally provided logger.
`static String` | `RUNTIME_LOG_LOGSYSTEM_CLASS` class of log system to use.
`static String` | `RUNTIME_LOG_REFERENCE_LOG_INVALID` Logging of invalid references.
`static String` | `RUNTIME_LOG_WARN_STACKTRACE` Deprecated. The functionality this controlled is confusing and no longer necessary.
`static String` | `RUNTIME_REFERENCES_STRICT` Properties referenced in the template are required to exist the object
`static String` | `RUNTIME_REFERENCES_STRICT_ESCAPE` Indicates we are going to use modifed escape behavior in strict mode
`static String` | `SET_NULL_ALLOWED` if set to true then allows #set to accept null values in the right hand side.
`static String` | `SKIP_INVALID_ITERATOR` Whether to throw an exception or just skip bad iterables.
`static String` | `STRICT_MATH` Switch for ignoring nulls in math equations vs throwing exceptions.
`static String` | `TRACE_PREFIX` Deprecated. Use LogChute.TRACE_PREFIX instead
`static String` | `UBERSPECT_CLASSNAME` key name for uberspector.
`static String` | `UNKNOWN_PREFIX` Deprecated. This will be removed in a future version
`static String` | `VM_ARGUMENTS_STRICT` if true, throw an exception for wrong number of arguments
`static String` | `VM_BODY_REFERENCE` Defines name of the reference that can be used to get the AST block passed to block macro calls.
`static String` | `VM_CONTEXT_LOCALSCOPE` switch for local context in VM : default false.
`static String` | `VM_LIBRARY` Name of local Velocimacro library template.
`static String` | `VM_LIBRARY_AUTORELOAD` switch for autoloading library-sourced VMs (for development).
`static String` | `VM_LIBRARY_DEFAULT` Default Velocimacro library template.
`static String` | `VM_MAX_DEPTH` Specify the maximum depth for macro calls
`static String` | `VM_MESSAGES_ON` Switch for VM blather : default true.
`static String` | `VM_PERM_ALLOW_INLINE` boolean (true/false) default true : allow inline (in-template) macro definitions.
`static String` | `VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL` boolean (true/false) default false : allow inline (in-template) macro definitions to replace existing.
`static String` | `VM_PERM_INLINE_LOCAL` Switch for forcing inline macros to be local : default false.
`static String` | `WARN_PREFIX` Deprecated. Use LogChute.WARN_PREFIX instead

Field Detail

### RUNTIME_LOG

    public static final String RUNTIME_LOG

  Location of the velocity log file.

  See Also:
    Constant Field Values

### RUNTIME_LOG_LOGSYSTEM

    public static final String RUNTIME_LOG_LOGSYSTEM

  externally provided logger.

  See Also:
    Constant Field Values

### RUNTIME_LOG_LOGSYSTEM_CLASS

    public static final String RUNTIME_LOG_LOGSYSTEM_CLASS

  class of log system to use.

  See Also:
    Constant Field Values

### RUNTIME_REFERENCES_STRICT

    public static final String RUNTIME_REFERENCES_STRICT

  Properties referenced in the template are required to exist the object

  See Also:
    Constant Field Values

### RUNTIME_REFERENCES_STRICT_ESCAPE

    public static final String RUNTIME_REFERENCES_STRICT_ESCAPE

  Indicates we are going to use modifed escape behavior in strict mode

  See Also:
    Constant Field Values

### RUNTIME_LOG_ERROR_STACKTRACE

    public static final String RUNTIME_LOG_ERROR_STACKTRACE

  Deprecated. This appears to have always been meaningless.

  See Also:
    Constant Field Values

### RUNTIME_LOG_WARN_STACKTRACE

    public static final String RUNTIME_LOG_WARN_STACKTRACE

  Deprecated. The functionality this controlled is confusing and no longer necessary.

  See Also:
    Constant Field Values

### RUNTIME_LOG_INFO_STACKTRACE

    public static final String RUNTIME_LOG_INFO_STACKTRACE

  Deprecated. This appears to have always been meaningless.

  See Also:
    Constant Field Values

### RUNTIME_LOG_REFERENCE_LOG_INVALID

    public static final String RUNTIME_LOG_REFERENCE_LOG_INVALID

  Logging of invalid references.

  See Also:
    Constant Field Values

### TRACE_PREFIX

    public static final String TRACE_PREFIX

  Deprecated. Use LogChute.TRACE_PREFIX instead

  See Also:
    Constant Field Values

### DEBUG_PREFIX

    public static final String DEBUG_PREFIX

  Deprecated. Use LogChute.DEBUG_PREFIX instead

  See Also:
    Constant Field Values

### INFO_PREFIX

    public static final String INFO_PREFIX

  Deprecated. Use LogChute.INFO_PREFIX instead

  See Also:
    Constant Field Values

### WARN_PREFIX

    public static final String WARN_PREFIX

  Deprecated. Use LogChute.WARN_PREFIX instead

  See Also:
    Constant Field Values

### ERROR_PREFIX

    public static final String ERROR_PREFIX

  Deprecated. Use LogChute.ERROR_PREFIX instead

  See Also:
    Constant Field Values

### UNKNOWN_PREFIX

    public static final String UNKNOWN_PREFIX

  Deprecated. This will be removed in a future version

  See Also:
    Constant Field Values

### COUNTER_NAME

    public static final String COUNTER_NAME

  Counter reference name in #foreach directives.

  See Also:
    Constant Field Values

### HAS_NEXT_NAME

    public static final String HAS_NEXT_NAME

  Iterator.hasNext() reference name in #foreach directives.

  Since:
    1.6
  See Also:
    Constant Field Values

### COUNTER_INITIAL_VALUE

    public static final String COUNTER_INITIAL_VALUE

  Initial counter value in #foreach directives.

  See Also:
    Constant Field Values

### MAX_NUMBER_LOOPS

    public static final String MAX_NUMBER_LOOPS

  Maximum allowed number of loops.

  See Also:
    Constant Field Values

### SKIP_INVALID_ITERATOR

    public static final String SKIP_INVALID_ITERATOR

  Whether to throw an exception or just skip bad iterables. Default is true.

  Since:
    1.6
  See Also:
    Constant Field Values

### SET_NULL_ALLOWED

    public static final String SET_NULL_ALLOWED

  if set to true then allows #set to accept null values in the right hand side.

  See Also:
    Constant Field Values

### DIRECTIVE_IF_TOSTRING_NULLCHECK

    public static final String DIRECTIVE_IF_TOSTRING_NULLCHECK

  Indicates if toString() should be called during #if condition evaluation just to ensure it does not return null. Check is unnecessary if all toString() implementations are known to have non-null return values. Disabling the check (like Velocity 1.5 did) will can boost performance since toString() may be a complex operation on large objects.

  Since:
    1.6
  See Also:
    Constant Field Values

### ERRORMSG_START

    public static final String ERRORMSG_START

  Starting tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

  See Also:
    Constant Field Values

### ERRORMSG_END

    public static final String ERRORMSG_END

  Ending tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

  See Also:
    Constant Field Values

### PARSE_DIRECTIVE_MAXDEPTH

    public static final String PARSE_DIRECTIVE_MAXDEPTH

  Maximum recursion depth allowed for the #parse directive.

  See Also:
    Constant Field Values

### DEFINE_DIRECTIVE_MAXDEPTH

    public static final String DEFINE_DIRECTIVE_MAXDEPTH

  Maximum recursion depth allowed for the #define directive.

  See Also:
    Constant Field Values

### EVALUATE_CONTEXT_CLASS

    public static final String EVALUATE_CONTEXT_CLASS

  class to use for local context with #evaluate()

  Since:
    1.6
  See Also:
    Constant Field Values

### PROVIDE_SCOPE_CONTROL

    public static final String PROVIDE_SCOPE_CONTROL

  Used to suppress various scope control objects.

  Since:
    1.7
  See Also:
    Constant Field Values

### RESOURCE_MANAGER_CLASS

    public static final String RESOURCE_MANAGER_CLASS

See Also:
  Constant Field Values

### RESOURCE_MANAGER_CACHE_CLASS

    public static final String RESOURCE_MANAGER_CACHE_CLASS

  The `resource.manager.cache.class` property specifies the name of the `ResourceCache` implementation to use.

  See Also:
    Constant Field Values

### RESOURCE_MANAGER_DEFAULTCACHE_SIZE

    public static final String RESOURCE_MANAGER_DEFAULTCACHE_SIZE

  The `resource.manager.cache.size` property specifies the cache upper bound (if relevant).

  See Also:
    Constant Field Values

### RESOURCE_MANAGER_LOGWHENFOUND

    public static final String RESOURCE_MANAGER_LOGWHENFOUND

  controls if the finding of a resource is logged.

  See Also:
    Constant Field Values

### RESOURCE_LOADER

    public static final String RESOURCE_LOADER

  Key used to retrieve the names of the resource loaders to be used. In a properties file they may appear as the following:

  resource.loader = file,classpath

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_PATH

    public static final String FILE_RESOURCE_LOADER_PATH

  The public handle for setting a path in the FileResourceLoader.

  See Also:
    Constant Field Values

### FILE_RESOURCE_LOADER_CACHE

    public static final String FILE_RESOURCE_LOADER_CACHE

  The public handle for turning the caching on in the FileResourceLoader.

  See Also:
    Constant Field Values

### EVENTHANDLER_REFERENCEINSERTION

    public static final String EVENTHANDLER_REFERENCEINSERTION

  The `eventhandler.referenceinsertion.class` property specifies a list of the `ReferenceInsertionEventHandler` implementations to use.

  See Also:
    Constant Field Values

### EVENTHANDLER_NULLSET

    public static final String EVENTHANDLER_NULLSET

  The `eventhandler.nullset.class` property specifies a list of the `NullSetEventHandler` implementations to use.

  See Also:
    Constant Field Values

### EVENTHANDLER_METHODEXCEPTION

    public static final String EVENTHANDLER_METHODEXCEPTION

  The `eventhandler.methodexception.class` property specifies a list of the `MethodExceptionEventHandler` implementations to use.

  See Also:
    Constant Field Values

### EVENTHANDLER_INCLUDE

    public static final String EVENTHANDLER_INCLUDE

  The `eventhandler.include.class` property specifies a list of the `IncludeEventHandler` implementations to use.

  See Also:
    Constant Field Values

### EVENTHANDLER_INVALIDREFERENCES

    public static final String EVENTHANDLER_INVALIDREFERENCES

  The `eventhandler.invalidreferences.class` property specifies a list of the `InvalidReferenceEventHandler` implementations to use.

  See Also:
    Constant Field Values

### VM_LIBRARY

    public static final String VM_LIBRARY

  Name of local Velocimacro library template.

  See Also:
    Constant Field Values

### VM_LIBRARY_DEFAULT

    public static final String VM_LIBRARY_DEFAULT

  Default Velocimacro library template.

  See Also:
    Constant Field Values

### VM_LIBRARY_AUTORELOAD

    public static final String VM_LIBRARY_AUTORELOAD

  switch for autoloading library-sourced VMs (for development).

  See Also:
    Constant Field Values

### VM_PERM_ALLOW_INLINE

    public static final String VM_PERM_ALLOW_INLINE

  boolean (true/false) default true : allow inline (in-template) macro definitions.

  See Also:
    Constant Field Values

### VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL

    public static final String VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL

  boolean (true/false) default false : allow inline (in-template) macro definitions to replace existing.

  See Also:
    Constant Field Values

### VM_PERM_INLINE_LOCAL

    public static final String VM_PERM_INLINE_LOCAL

  Switch for forcing inline macros to be local : default false.

  See Also:
    Constant Field Values

### VM_MESSAGES_ON

    public static final String VM_MESSAGES_ON

  Switch for VM blather : default true.

  See Also:
    Constant Field Values

### VM_CONTEXT_LOCALSCOPE

    public static final String VM_CONTEXT_LOCALSCOPE

  switch for local context in VM : default false.

  See Also:
    Constant Field Values

### VM_ARGUMENTS_STRICT

    public static final String VM_ARGUMENTS_STRICT

  if true, throw an exception for wrong number of arguments

  See Also:
    Constant Field Values

### VM_MAX_DEPTH

    public static final String VM_MAX_DEPTH

  Specify the maximum depth for macro calls

  Since:
    1.6
  See Also:
    Constant Field Values

### VM_BODY_REFERENCE

    public static final String VM_BODY_REFERENCE

  Defines name of the reference that can be used to get the AST block passed to block macro calls.

  Since:
    1.7
  See Also:
    Constant Field Values

### INTERPOLATE_STRINGLITERALS

    public static final String INTERPOLATE_STRINGLITERALS

  Switch for the interpolation facility for string literals.

  See Also:
    Constant Field Values

### INPUT_ENCODING

    public static final String INPUT_ENCODING

  The character encoding for the templates. Used by the parser in processing the input streams.

  See Also:
    Constant Field Values

### OUTPUT_ENCODING

    public static final String OUTPUT_ENCODING

  Encoding for the output stream. Currently used by Anakia and VelocityServlet

  See Also:
    Constant Field Values

### ENCODING_DEFAULT

    public static final String ENCODING_DEFAULT

  Default Encoding is ISO-8859-1.

  See Also:
    Constant Field Values

### UBERSPECT_CLASSNAME

    public static final String UBERSPECT_CLASSNAME

  key name for uberspector. Multiple classnames can be specified,in which case uberspectors will be chained.

  See Also:
    Constant Field Values

### INTROSPECTOR_RESTRICT_PACKAGES

    public static final String INTROSPECTOR_RESTRICT_PACKAGES

  A comma separated list of packages to restrict access to in the SecureIntrospector.

  See Also:
    Constant Field Values

### INTROSPECTOR_RESTRICT_CLASSES

    public static final String INTROSPECTOR_RESTRICT_CLASSES

  A comma separated list of classes to restrict access to in the SecureIntrospector.

  See Also:
    Constant Field Values

### STRICT_MATH

    public static final String STRICT_MATH

  Switch for ignoring nulls in math equations vs throwing exceptions.

  See Also:
    Constant Field Values

### PARSER_POOL_CLASS

    public static final String PARSER_POOL_CLASS

  The `parser.pool.class` property specifies the name of the `SimplePool` implementation to use.

  See Also:
    Constant Field Values

### PARSER_POOL_SIZE

    public static final String PARSER_POOL_SIZE

See Also:
  `NUMBER_OF_PARSERS`, Constant Field Values

### DEFAULT_RUNTIME_PROPERTIES

    public static final String DEFAULT_RUNTIME_PROPERTIES

  Default Runtime properties.

  See Also:
    Constant Field Values

### DEFAULT_RUNTIME_DIRECTIVES

    public static final String DEFAULT_RUNTIME_DIRECTIVES

  Default Runtime properties.

  See Also:
    Constant Field Values

### NUMBER_OF_PARSERS

    public static final int NUMBER_OF_PARSERS

  The default number of parser instances to create. Configurable via the parameter named by the `PARSER_POOL_SIZE` constant.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.